{
  # Import all your configuration modules here
  imports = [
    # base config
    ./options.nix
    ./clipboard.nix

    # appearence
    ./bufferline.nix
    ./lualine.nix
    ./which-key.nix
    ./toggleterm.nix

    # file and search utilities
    ./telescope.nix
    ./oil.nix

    # language support & lsp
    ./lsp.nix
    ./treesitter.nix
    ./nix.nix

    # debugging
    ./dap.nix

    # autocompletion
    ./cmp.nix
  ];
}
